# std::bad_weak_ptr Class Reference

Inheritance diagram for std::bad_weak_ptr:

List of all members.

## Detailed Description

Definition at line 59 of file boost_sp_counted_base.h.

## Public Member Functions

- virtual char const * what () const throw ()

## Member Function Documentation

virtual char const* std::bad_weak_ptr::what | ( |  | ) | const throw ()`[inline, virtual]`

Returns a C-style character string describing the general cause of the current error.

Reimplemented from std::exception.

Definition at line 63 of file boost_sp_counted_base.h.

The documentation for this class was generated from the following file:

- boost_sp_counted_base.h